/**
 * 企业标签审核配置管理初始化
 */
var EnterprisetypeProperties = {
    id: "EnterprisetypePropertiesTable", //表格id
    seItem: null, //选中的条目
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
EnterprisetypeProperties.initColumn = function () {
    return [
        {field: 'selectItem', radio: true},
        {title: '审核单位', field: 'companyName', visible: true, align: 'center', valign: 'middle'},
        {title: '企业标签', field: 'enterpriseTagName', visible: true, align: 'center', valign: 'middle'},
        {title: '机构标签', field: 'organizationTagName', visible: true, align: 'center', valign: 'middle'},
        {title: '单位标签', field: 'institutionTagName', visible: true, align: 'center', valign: 'middle'},
        {title: '例外设置', field: 'uniCode', visible: true, align: 'center', valign: 'middle'},
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle'},
    ];
};

/**
 * 检查是否选中
 */
EnterprisetypeProperties.check = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if (selected.length == 0) {
        Feng.info("请先选中表格中的某一记录！");
        return false;
    } else {
        EnterprisetypeProperties.seItem = selected[0];
        return true;
    }
};

/**
 * 点击添加企业标签审核配置
 */
EnterprisetypeProperties.openAddEnterprisetypeProperties = function () {
    var index = layer.open({
        type: 2,
        title: '添加单位标签审核配置',
        area: ['800px', '420px'], //宽高
        fix: false, //不固定
        maxmin: true,
        content: Feng.ctxPath + '/admin/enterprise_verify_mgr/add'
    });
    this.layerIndex = index;
};

/**
 * 打开查看企业标签审核配置详情
 */
EnterprisetypeProperties.openEnterprisetypePropertiesDetail = function () {
    if (this.check()) {
        var index = layer.open({
            type: 2,
            title: '单位标签审核配置详情',
            area: ['800px', '420px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/admin/enterprise_verify_mgr/edit/id/' + EnterprisetypeProperties.seItem.id
        });
        this.layerIndex = index;
    }
};

/**
 * 删除企业标签审核配置
 */
EnterprisetypeProperties.delete = function () {
    if (this.check()) {
        var operation = function () {
            var ajax = new $ax(Feng.ctxPath + "/admin/enterprise_verify_mgr/delete", function (data) {
                Feng.success("删除成功!");
                EnterprisetypeProperties.table.refresh();
            }, function (data) {
                Feng.error("删除失败!" + data.responseJSON.message + "!");
            });
            ajax.set("id", EnterprisetypeProperties.seItem.id);
            ajax.start();
        };
        Feng.confirm("删除后无法恢复，确认删除吗?", operation);
    }
};

/**
 * 查询企业标签审核配置列表
 */
EnterprisetypeProperties.search = function () {
    var queryData = {};
    EnterprisetypeProperties.table.refresh({query: queryData});
};

$(function () {
    var defaultColunms = EnterprisetypeProperties.initColumn();
    var table = new BSTable(EnterprisetypeProperties.id, "/admin/enterprise_verify_mgr/list", defaultColunms);
    table.setPaginationType("server");
    EnterprisetypeProperties.table = table.init();
});
